Start Job

Start Job begins the upload process, and returns a jobId. The jobId is used across all subsequent API calls to reference the job.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Webhook

errorWebhookUrl Example Payload

{
  "connectorId": "ZtPOQ6uCUTNloAYQ9teFEqtanpifuH7FN5bzjtYtgG06",
  "destinationFileName": "test.csv",
  "destinationFilePath": "s3://test_bucket/test_folder/test.csv",
  "finalDataLength": null,
  "jobId": "V2G2vrTrnEUSB93McyBnkv4SSxEnglPh38FQQe49mzU5",
  "jobName": "testing",
  "jobStatus": "error",
  "originalDataLength": 33,
  "pipelineId": "8HKyeqrQPWOXs20samuemmnwcR9UdCjGgen99KTJqTk1",
  "pipelineName": "test pipeline",
  "uploadedFileName": "onboarding_sample.csv",
  "uploadedFileType": "csv"
}

Body Params
string
required

The id of the Pipeline used to run the Job. The Pipeline provides the expected output schema, destination, and other transformation rules.

file

The data to be processed during the Job. Not required if Google Sheet is uploaded instead (gsUrl and gsSheetName).

string

The Google Sheets URL for the data. The URL must be the sharing URL of the data.

string

The Google Sheets sheet name.

string

The name of the cleaned output data file. Only applicable for output destinations that have file names, e.g. S3 Buckets.

string
enum

The desired output file type. Only applicable for output destinations that have file types, e.g. S3 Buckets.

Allowed:
boolean

Use the full uploaded dataset during configuration of the Job. By default, a sample of the data is used for configuration and metadata and may provide faster response times for large datasets. The full data is always used when the Job is run.

scripts
object

Inject custom Python scripts to run at specified positions in the Job process. The scripts can be written and tested on the Segna Platform.

string

A payload of metadata will be sent to the specified webhook URL on Job start.

string

A payload containing details of the job and file uploaded will be sent to the specified webhook on a Job/upload failure.

configureSmartGuessing
object

Configure whether intelligent suggestions are made for particular steps

boolean

If true, the data snippet API will return null/missing values as null instead of an empty string ''.

boolean

If false, commands that create an empty dataset will not raise an error. By default, these will raise a 400 DataException

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json